# Connector API — APIs

> Canonical URL: https://developers.apideck.com/apis/connector/reference#tag/APIs

This document contains every operation on the `APIs` resource.

---

# List APIs

> **Connector API** · `GET /connector/apis`
> Canonical URL: https://developers.apideck.com/apis/connector/reference#tag/APIs/operation/apisAll

List APIs

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |
| `filter` | query | `object` | No | Apply filters |

### Responses

#### 200 — Apis

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `array of object` **required**
  - `id` `string` — ID of the API. — example: `file-storage`
  - `type` `string` — Indicates whether the API is a Unified API. If unified_api is false, the API is a Platform API. — enum: `platform`, `unified`
  - `name` `string` — Name of the API. — example: `File Storage API`
  - `description` `string` — Description of the API. — example: `Manage API keys, access tokens, OAuth flows and integrations.`
  - `status` `string` — Status of the API. APIs with status live or beta are callable. — enum: `live`, `beta`, `development`, `considering`
  - `spec_url` `string` — Link to the latest OpenAPI specification of the API. — example: `https://specs.apideck.com/file-storage.yml`
  - `api_reference_url` `string` — Link to the API reference of the API. — example: `https://developers.apideck.com/apis/file-storage/reference`
  - `postman_collection_id` `string` — ID of the Postman collection of the API. — example: `1311564-00e7266b-a3d6-4f40-b172-baaa66a3ed6f`
  - `categories` `array of string` — List of categories the API belongs to.
  - `resources` `array of object` — List of resources supported in this API.
    - `id` `string` — ID of the resource, typically a lowercased version of its name. — example: `companies`
    - `name` `string` — Name of the resource (plural) — example: `Companies`
    - `status` `string` — Status of the resource. Resources with status live or beta are callable. — enum: `live`, `beta`, `development`, `upcoming`, `considering`
    - `excluded_from_coverage` `boolean` — Exclude from mapping coverage — example: `false`
  - `events` `array of string` — List of event types this API supports.
- `_raw` `object` — Raw response from the integration when raw=true query param is provided
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get API

> **Connector API** · `GET /connector/apis/{id}`
> Canonical URL: https://developers.apideck.com/apis/connector/reference#tag/APIs/operation/apisOne

Get API

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |

### Responses

#### 200 — Apis

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `object` **required**
  - `id` `string` — ID of the API. — example: `file-storage`
  - `type` `string` — Indicates whether the API is a Unified API. If unified_api is false, the API is a Platform API. — enum: `platform`, `unified`
  - `name` `string` — Name of the API. — example: `File Storage API`
  - `description` `string` — Description of the API. — example: `Manage API keys, access tokens, OAuth flows and integrations.`
  - `status` `string` — Status of the API. APIs with status live or beta are callable. — enum: `live`, `beta`, `development`, `considering`
  - `spec_url` `string` — Link to the latest OpenAPI specification of the API. — example: `https://specs.apideck.com/file-storage.yml`
  - `api_reference_url` `string` — Link to the API reference of the API. — example: `https://developers.apideck.com/apis/file-storage/reference`
  - `postman_collection_id` `string` — ID of the Postman collection of the API. — example: `1311564-00e7266b-a3d6-4f40-b172-baaa66a3ed6f`
  - `categories` `array of string` — List of categories the API belongs to.
  - `resources` `array of object` — List of resources supported in this API.
    - `id` `string` — ID of the resource, typically a lowercased version of its name. — example: `companies`
    - `name` `string` — Name of the resource (plural) — example: `Companies`
    - `status` `string` — Status of the resource. Resources with status live or beta are callable. — enum: `live`, `beta`, `development`, `upcoming`, `considering`
    - `excluded_from_coverage` `boolean` — Exclude from mapping coverage — example: `false`
  - `events` `array of string` — List of event types this API supports.
- `_raw` `object` — Raw response from the integration when raw=true query param is provided
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
